import request from '@/utils/request'

// 创建黑名单列
export function createnxbalcklist(data) {
  return request({
    url: '/system/nxbalcklist/create',
    method: 'post',
    data: data
  })
}

// 更新黑名单列
export function updatenxbalcklist(data) {
  return request({
    url: '/system/nxbalcklist/update',
    method: 'put',
    data: data
  })
}

// 删除黑名单列
export function deletenxbalcklist(id) {
  return request({
    url: '/system/nxbalcklist/delete?id=' + id,
    method: 'delete'
  })
}

// 获得黑名单列
export function getnxbalcklist(id) {
  return request({
    url: '/system/nxbalcklist/get?id=' + id,
    method: 'get'
  })
}

// 获得黑名单列分页
export function getnxbalcklistPage(query) {
  return request({
    url: '/system/nxbalcklist/page',
    method: 'get',
    params: query
  })
}

// 导出黑名单列 Excel
export function exportnxbalcklistExcel(query) {
  return request({
    url: '/system/nxbalcklist/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
